/**
 * @author      ETSI / STF455 / Yann Garcia
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.configtester;

import org.etsi.ttcn.codec.CodecFactory;
import org.etsi.ttcn.tci.TciTypeClass;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();
        cf.setCodec(TciTypeClass.RECORD, "ConfigTester", "", CfRecord.class);
        cf.setCodec(TciTypeClass.UNION, "ConfigTester", "", CfUnion.class);
        cf.setCodec(TciTypeClass.BOOLEAN, "ConfigTester", "", CfBoolean.class);
    }
}