/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.fsap;

import org.etsi.ttcn.tci.TciTypeClass;
import org.etsi.ttcn.codec.CodecFactory;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();

        cf.setCodec(TciTypeClass.RECORD, "LibIts_Interface", "FsapInd", FsapInd.class);
        cf.setCodec(TciTypeClass.UNION, "LibIts_Interface", "FsapMsg", FsapMsg.class);
        cf.setCodec(TciTypeClass.UNION, "LibIts_Interface", "FsapReq", FsapReq.class);
    }
}